Skip to main content
`Ctrl`+`K`

# DMMoabGetLocalVertices

Get the entities having DOFs on this `DMMOAB`

## Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetLocalVertices(DM dm, const moab::Range **owned, const moab::Range **ghost)

Collective

## Input Parameter

- dm - The `DMMOAB` object being set

## Output Parameters

- owned - The owned vertex entities in this `DMMOAB`

- ghost - The ghosted entities (non-owned) stored locally in this partition

## See Also

`DMMOAB`, `DMMoabGetAllVertices()`

## Level

beginner

## Location

src/dm/impls/moab/dmmoab.cxx

## Examples

src/ts/tutorials/ex35.cxx
src/ksp/ksp/tutorials/ex35.cxx
src/ksp/ksp/tutorials/ex36.cxx

Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages